<?xml version="1.0" encoding="utf-8"?>
<FrameLayout xmlns:android="http://schemas.android.com/apk/res/android"
    android:layout_width="match_parent"
    android:layout_height="wrap_content">

    <LinearLayout
        android:layout_width="@dimen/default_dialog_width"
        android:layout_height="wrap_content"
        android:layout_gravity="center"
        android:background="@drawable/background_shape_white_radius_8"
        android:orientation="vertical"
        android:paddingStart="24dp"
        android:paddingTop="24dp"
        android:paddingEnd="24dp"
        android:paddingBottom="16dp">

        <TextView
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:text="下载提示"
            android:textColor="@color/text_title"
            android:textSize="@dimen/secondary_title_text_size"
            android:textStyle="bold" />

        <TextView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginTop="16dp"
            android:text="当前正在使用移动网络，是否允许使用流量下载？"
            android:textColor="@color/text_subtitle"
            android:lineSpacingExtra="8dp"
            android:includeFontPadding="false"
            android:textSize="@dimen/primary_text_size" />

        <TextView
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginTop="16dp"
            android:text="可在“我的光环-设置”打开或关闭流量提醒"
            android:textColor="@color/text_subtitleDesc"
            android:textSize="@dimen/secondary_size" />

        <TextView
            android:id="@+id/allow_once"
            android:layout_width="match_parent"
            android:layout_height="40dp"
            android:layout_marginTop="24dp"
            android:background="@drawable/button_blue_oval"
            android:gravity="center"
            android:text="允许一次"
            android:textColor="@color/white"
            android:textSize="14sp"
            android:textStyle="bold" />

        <TextView
            android:id="@+id/allow_always"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginTop="8dp"
            android:gravity="center"
            android:includeFontPadding="false"
            android:paddingTop="15dp"
            android:paddingBottom="15dp"
            android:text="总是允许"
            android:textColor="@color/text_subtitle"
            android:textSize="14sp" />

        <TextView
            android:id="@+id/wifi_auto"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:gravity="center"
            android:includeFontPadding="false"
            android:paddingTop="15dp"
            android:paddingBottom="15dp"
            android:text="WiFi自动下载"
            android:textColor="@color/text_subtitle"
            android:textSize="14sp" />

    </LinearLayout>
</FrameLayout>